ranges::v3::equal_fn Struct Reference
Algorithms

## Public Member Functions

template<typename I0 , typename S0 , typename I1 , typename C = equal_to, typename P0 = ident, typename P1 = ident, requires = ( Sentinel<S0, I0>() && Comparable<I0, I1, C, P0, P1>() )>
bool | operator() (I0 begin0, S0 end0, I1 begin1, C pred=C{}, P0 proj0=P0{}, P1 proj1=P1{}) const
template<typename I0 , typename S0 , typename I1 , typename S1 , typename C = equal_to, typename P0 = ident, typename P1 = ident, requires = ( Sentinel<S0, I0>() && Sentinel<S1, I1>() && Comparable<I0, I1, C, P0, P1>() )>
bool | operator() (I0 begin0, S0 end0, I1 begin1, S1 end1, C pred=C{}, P0 proj0=P0{}, P1 proj1=P1{}) const
template<typename Rng0 , typename I1Ref , typename C = equal_to, typename P0 = ident, typename P1 = ident, typename I0 = iterator_t<Rng0>, typename I1 = uncvref_t<I1Ref>, requires = ( Range<Rng0>() && Iterator<I1>() && Comparable<I0, I1, C, P0, P1>() )>
bool | operator() (Rng0 &&rng0, I1Ref &&begin1, C pred=C{}, P0 proj0=P0{}, P1 proj1=P1{}) const
template<typename Rng0 , typename Rng1 , typename C = equal_to, typename P0 = ident, typename P1 = ident, typename I0 = iterator_t<Rng0>, typename I1 = iterator_t<Rng1>, requires = ( Range<Rng0>() && Range<Rng1>() && Comparable<I0, I1, C, P0, P1>() )>
bool | operator() (Rng0 &&rng0, Rng1 &&rng1, C pred=C{}, P0 proj0=P0{}, P1 proj1=P1{}) const